/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


// ----------------------------------------------------------------
// Sample captured at: 2016-05-15 09:15:00 PM local, 2016-05-17 04:15:00 GMT
AlgDlsMinuteData *activity_sample_2016_05_16_00_30_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_37567
  //> TEST_VERSION 3
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT 190
  //> TEST_START_AT_MIN 180
  //> TEST_START_AT_MAX 200
  //> TEST_END_AT 606
  //> TEST_END_AT_MIN 590
  //> TEST_END_AT_MAX 620
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light, plugged_in}
  static AlgDlsMinuteData samples[] = {

    // 0: Local time: 2016-05-15 09:15:00 PM
    { 0, 0x57, 0, 122, 0},
    { 0, 0x57, 0, 122, 0},
    { 0, 0x57, 466, 121, 0},
    { 0, 0x59, 277, 124, 0},
    { 0, 0x49, 5811, 135, 0},
    { 0, 0x4a, 2149, 125, 0},
    { 0, 0x4a, 183, 128, 0},
    { 0, 0x3a, 387, 121, 0},
    { 0, 0x3a, 329, 125, 0},
    { 0, 0x4a, 337, 126, 0},
    { 0, 0x4a, 1334, 142, 0},
    { 0, 0x5a, 2188, 127, 0},
    { 0, 0x4b, 1435, 69, 0},
    { 0, 0x4b, 36, 121, 0},
    { 0, 0x4b, 795, 127, 0},
    // 15: Local time: 2016-05-15 09:30:00 PM
    { 0, 0x4b, 350, 124, 0},
    { 0, 0x4a, 0, 124, 0},
    { 0, 0x4a, 0, 124, 0},
    { 0, 0x4a, 1, 125, 0},
    { 0, 0x4a, 953, 116, 0},
    { 7, 0x8e, 2785, 120, 0},
    { 0, 0x6d, 0, 61, 0},
    { 0, 0x6d, 1, 119, 0},
    { 0, 0x6d, 0, 121, 0},
    { 0, 0x6d, 0, 120, 0},
    { 0, 0x6d, 0, 121, 0},
    { 0, 0x7d, 1666, 125, 0},
    { 0, 0x7f, 0, 123, 0},
    { 0, 0x7f, 749, 126, 0},
    { 0, 0x7e, 539, 127, 0},
    // 30: Local time: 2016-05-15 09:45:00 PM
    { 0, 0x7e, 0, 125, 0},
    { 0, 0x7e, 0, 127, 0},
    { 0, 0x7e, 0, 127, 0},
    { 0, 0x7e, 0, 151, 0},
    { 0, 0x7e, 0, 129, 0},
    { 0, 0x7e, 0, 122, 0},
    { 0, 0x7e, 0, 122, 0},
    { 0, 0x7e, 0, 123, 0},
    { 0, 0x7e, 0, 122, 0},
    { 0, 0x86, 375, 126, 0},
    { 0, 0x76, 96, 128, 0},
    { 0, 0x76, 100, 127, 0},
    { 0, 0x76, 0, 126, 0},
    { 9, 0x66, 500, 119, 0},
    { 0, 0x56, 23, 83, 0},
    // 45: Local time: 2016-05-15 10:00:00 PM
    { 0, 0x66, 0, 119, 0},
    { 0, 0x66, 15, 139, 0},
    { 0, 0x7c, 1616, 120, 0},
    { 0, 0x7d, 780, 119, 0},
    { 0, 0x7e, 0, 119, 0},
    { 0, 0x7e, 0, 119, 0},
    { 0, 0x7e, 0, 119, 0},
    { 0, 0x7e, 0, 120, 0},
    { 8, 0x73, 649, 118, 0},
    { 0, 0x64, 0, 118, 0},
    { 0, 0x64, 0, 118, 0},
    { 0, 0x64, 0, 118, 0},
    { 0, 0x64, 0, 119, 0},
    { 0, 0x64, 0, 119, 0},
    { 0, 0x64, 0, 118, 0},
    // 60: Local time: 2016-05-15 10:15:00 PM
    { 0, 0x74, 444, 147, 0},
    { 0, 0x5a, 2529, 145, 0},
    { 0, 0x8c, 1067, 142, 0},
    { 0, 0x75, 1837, 141, 0},
    { 0, 0x8c, 202, 149, 0},
    { 0, 0x8d, 161, 149, 0},
    { 0, 0x75, 371, 138, 0},
    { 0, 0x65, 240, 139, 0},
    { 0, 0x65, 119, 133, 0},
    { 0, 0x64, 3, 133, 0},
    { 0, 0x64, 42, 135, 0},
    { 0, 0x64, 789, 144, 0},
    { 0, 0x86, 745, 128, 0},
    { 0, 0x75, 735, 128, 0},
    { 0, 0x78, 418, 145, 0},
    // 75: Local time: 2016-05-15 10:30:00 PM
    { 0, 0x7a, 0, 146, 0},
    { 0, 0x7a, 15, 144, 0},
    { 0, 0x7a, 1, 144, 0},
    { 0, 0x7a, 23, 98, 0},
    { 0, 0x79, 0, 143, 0},
    { 0, 0x78, 504, 136, 0},
    { 0, 0x57, 0, 136, 0},
    { 0, 0x57, 0, 136, 0},
    { 0, 0x57, 1968, 137, 0},
    { 0, 0x57, 0, 137, 0},
    { 0, 0x67, 321, 139, 0},
    { 20, 0x67, 3750, 147, 0},
    { 0, 0x65, 6185, 137, 0},
    { 0, 0x59, 3172, 145, 0},
    { 0, 0x59, 1371, 143, 0},
    // 90: Local time: 2016-05-15 10:45:00 PM
    { 0, 0x4a, 570, 144, 0},
    { 0, 0x59, 1907, 143, 0},
    { 0, 0x4a, 0, 143, 0},
    { 0, 0x5a, 1094, 169, 0},
    { 0, 0x67, 2211, 145, 0},
    { 0, 0x58, 2186, 141, 0},
    { 0, 0x58, 1265, 143, 0},
    { 0, 0x4a, 44, 143, 0},
    { 0, 0x4a, 0, 143, 0},
    { 0, 0x4a, 15, 143, 0},
    { 0, 0x59, 843, 143, 0},
    { 0, 0x4a, 0, 143, 0},
    { 0, 0x5a, 527, 143, 0},
    { 0, 0x5a, 28, 144, 0},
    { 0, 0x5a, 0, 144, 0},
    // 105: Local time: 2016-05-15 11:00:00 PM
    { 0, 0x5a, 94, 144, 0},
    { 0, 0x5a, 674, 143, 0},
    { 0, 0x5a, 394, 144, 0},
    { 0, 0x5a, 1916, 134, 0},
    { 16, 0x6a, 4397, 143, 0},
    { 0, 0x67, 1022, 145, 0},
    { 0, 0x4a, 2398, 118, 0},
    { 0, 0x4a, 3030, 123, 0},
    { 0, 0x3d, 2040, 115, 0},
    { 0, 0x3d, 159, 115, 0},
    { 0, 0x56, 847, 146, 0},
    { 0, 0x59, 724, 143, 0},
    { 0, 0x5a, 639, 145, 0},
    { 0, 0x5a, 816, 143, 0},
    { 0, 0x5a, 624, 143, 0},
    // 120: Local time: 2016-05-15 11:15:00 PM
    { 0, 0x5a, 127, 144, 0},
    { 0, 0x5b, 2107, 144, 0},
    { 0, 0x5b, 720, 143, 0},
    { 0, 0x5a, 0, 143, 0},
    { 0, 0x5a, 801, 143, 0},
    { 0, 0x5a, 0, 143, 0},
    { 0, 0x5a, 0, 144, 0},
    { 0, 0x5a, 0, 143, 0},
    { 0, 0x5b, 678, 143, 0},
    { 0, 0x5b, 3, 143, 0},
    { 0, 0x5b, 1423, 143, 0},
    { 0, 0x5b, 1404, 143, 0},
    { 0, 0x5b, 9, 143, 0},
    { 0, 0x5a, 1009, 131, 0},
    { 0, 0x35, 23, 134, 0},
    // 135: Local time: 2016-05-15 11:30:00 PM
    { 0, 0x35, 1115, 139, 0},
    { 0, 0x45, 3897, 143, 0},
    { 30, 0x68, 6424, 140, 0},
    { 0, 0x56, 1, 63, 0},
    { 0, 0x66, 9, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 115, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 85, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 114, 0},
    // 150: Local time: 2016-05-15 11:45:00 PM
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 0, 117, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x67, 0, 64, 0},
    { 0, 0x67, 0, 114, 0},
    { 0, 0x67, 909, 118, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x67, 107, 115, 0},
    { 0, 0x67, 73, 114, 0},
    { 0, 0x67, 953, 114, 0},
    { 0, 0x77, 685, 116, 0},
    { 0, 0x76, 1670, 114, 0},
    { 0, 0x66, 0, 114, 0},
    { 0, 0x66, 63, 137, 0},
    // 165: Local time: 2016-05-16 12:00:00 AM
    { 12, 0x77, 753, 118, 0},
    { 0, 0x77, 0, 114, 0},
    { 0, 0x76, 3, 114, 0},
    { 0, 0x76, 0, 114, 0},
    { 0, 0x76, 0, 114, 0},
    { 0, 0x76, 0, 114, 0},
    { 0, 0x65, 117, 114, 0},
    { 0, 0x65, 0, 115, 0},
    { 0, 0x56, 2101, 114, 0},
    { 0, 0x55, 1, 114, 0},
    { 0, 0x67, 464, 116, 0},
    { 0, 0x5b, 113, 115, 0},
    { 0, 0x5b, 0, 114, 0},
    { 0, 0x5b, 25, 114, 0},
    { 0, 0x5b, 21, 114, 0},

    // 180: Manually inserted section: Local time: 2016-05-16 12:15:00 AM
    { 12, 0x77, 753, 118, 0},
    { 0, 0x77, 0, 114, 0},
    { 0, 0x76, 3, 114, 0},
    { 0, 0x76, 0, 114, 0},
    { 0, 0x76, 0, 114, 0},
    { 0, 0x76, 0, 114, 0},
    { 0, 0x65, 117, 114, 0},
    { 0, 0x65, 0, 115, 0},
    { 0, 0x56, 2101, 114, 0},
    { 0, 0x55, 1, 114, 0},
    { 0, 0x67, 464, 116, 0},
    { 0, 0x5b, 113, 115, 0},
    { 0, 0x5b, 0, 114, 0},
    { 0, 0x5b, 25, 114, 0},
    { 0, 0x5b, 21, 114, 0},
  
    // 195: Local time: 2016-05-16 12:30:00
    { 0, 0x64, 0, 116, 0},
    { 0, 0x64, 0, 116, 0},
    { 0, 0x64, 0, 117, 0},
    { 0, 0x64, 0, 117, 0},
    { 0, 0x74, 1650, 117, 0},
    { 0, 0x72, 73, 117, 0},
    { 0, 0x72, 0, 117, 0},
    { 0, 0x82, 0, 118, 0},
    { 0, 0x82, 0, 118, 0},
    { 0, 0x82, 0, 118, 0},
    { 0, 0x82, 0, 119, 0},
    { 0, 0x82, 0, 118, 0},
    { 0, 0x82, 0, 119, 0},
    { 0, 0x72, 0, 119, 0},
    { 0, 0x72, 0, 119, 0},
    // 210: Local time: 2016-05-16 12:45:00 AM
    { 0, 0x72, 0, 119, 0},
    { 0, 0x72, 0, 119, 0},
    { 0, 0x24, 658, 118, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 118, 0},
    { 0, 0x14, 0, 118, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 118, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    // 225: Local time: 2016-05-16 01:00:00 AM
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 90, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 122, 0},
    { 0, 0x14, 0, 119, 0},
    { 0, 0x14, 0, 122, 0},
    { 0, 0x14, 0, 89, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 119, 0},
    // 240: Local time: 2016-05-16 01:15:00 AM
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    // 255: Local time: 2016-05-16 01:30:00 AM
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 123, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 93, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    // 270: Local time: 2016-05-16 01:45:00 AM
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 75, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 120, 0},
    { 0, 0x14, 0, 121, 0},
    { 0, 0x14, 0, 120, 0},
    // 285: Local time: 2016-05-16 02:00:00 AM
    { 0, 0x64, 732, 120, 0},
    { 0, 0x73, 23, 122, 0},
    { 0, 0x73, 0, 120, 0},
    { 0, 0x73, 0, 120, 0},
    { 0, 0x73, 0, 121, 0},
    { 0, 0x73, 0, 121, 0},
    { 0, 0x70, 2242, 119, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 141, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 121, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 119, 0},
    // 300: Local time: 2016-05-16 02:16:00 AM
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 0, 120, 0},
    { 0, 0x6e, 988, 121, 0},
    { 0, 0x60, 0, 69, 0},
    { 0, 0x5f, 753, 121, 0},
    { 0, 0x3e, 0, 120, 0},
    { 0, 0x3e, 0, 121, 0},
    { 0, 0x6f, 909, 121, 0},
    { 0, 0x6f, 0, 120, 0},
    { 0, 0x6f, 0, 120, 0},
    { 0, 0x6f, 0, 121, 0},
    { 0, 0x6f, 0, 120, 0},
    { 0, 0x6f, 0, 120, 0},
    { 0, 0x6f, 0, 121, 0},
    // 315: Local time: 2016-05-16 02:31:00 AM
    { 0, 0x6f, 0, 120, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 66, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 0, 118, 0},
    { 0, 0x6f, 0, 119, 0},
    { 0, 0x6f, 868, 138, 0},
    { 0, 0x76, 468, 118, 0},
    { 0, 0x77, 86, 118, 0},
    // 330: Local time: 2016-05-16 02:46:00 AM
    { 0, 0x77, 0, 118, 0},
    { 0, 0x77, 0, 117, 0},
    { 0, 0x77, 0, 120, 0},
    { 0, 0x77, 0, 119, 0},
    { 0, 0x77, 0, 118, 0},
    { 0, 0x77, 0, 118, 0},
    { 0, 0x77, 0, 118, 0},
    { 0, 0x77, 0, 120, 0},
    { 0, 0x77, 0, 120, 0},
    { 0, 0x77, 0, 118, 0},
    { 0, 0x77, 0, 118, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 116, 0},
    // 345: Local time: 2016-05-16 03:01:00 AM
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 117, 0},
    { 0, 0x77, 0, 117, 0},
    { 0, 0x77, 0, 120, 0},
    { 0, 0x77, 0, 119, 0},
    { 0, 0x77, 0, 117, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 0, 113, 0},
    { 0, 0x77, 0, 116, 0},
    { 0, 0x77, 2248, 117, 0},
    { 0, 0x5e, 1600, 116, 0},
    { 0, 0x5d, 0, 120, 0},

    // Manually inserted sample
    { 0, 0x77, 0, 116, 0},

    // 360: Local time: 2016-05-16 03:17:00 
    { 0, 0x5d, 0, 119, 0},
    { 0, 0x5d, 0, 117, 0},
    { 0, 0x5d, 0, 117, 0},
    { 0, 0x5d, 0, 119, 0},
    { 0, 0x5d, 0, 121, 0},
    { 0, 0x5d, 0, 119, 0},
    { 0, 0x6d, 703, 119, 0},
    { 0, 0x83, 0, 119, 0},
    { 0, 0x84, 0, 119, 0},
    { 0, 0x84, 0, 119, 0},
    { 0, 0x7d, 1225, 119, 0},
    { 0, 0x89, 0, 120, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 141, 0},
    { 0, 0x89, 0, 119, 0},

    // 375: Manually inserted 10 samples: Local time: 2016-05-16 03:32:00 
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},
    { 0, 0x89, 0, 119, 0},


    // 385: Local time: 2016-05-16 03:42:00 
    { 0, 0x6a, 167, 139, 0},
    { 0, 0x6a, 0, 140, 0},
    { 0, 0x6a, 0, 140, 0},
    { 0, 0x6a, 0, 140, 0},
    { 0, 0x6a, 0, 140, 0},
    { 0, 0x6a, 0, 140, 0},
    { 9, 0x69, 238, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    // 400: Local time: 2016-05-16 03:57:00 AM
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 0, 140, 0},
    { 0, 0x79, 554, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 141, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 140, 0},
    // 415: Local time: 2016-05-16 04:12:00 AM
    { 0, 0x8c, 0, 141, 0},
    { 0, 0x8c, 0, 140, 0},
    { 0, 0x8c, 0, 141, 0},
    { 0, 0x8c, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    // 430: Local time: 2016-05-16 04:27:00 AM
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x76, 1772, 141, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    // 445: Local time: 2016-05-16 04:42:00 AM
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 140, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 139, 0},
    // 460: Local time: 2016-05-16 04:57:00 AM
    { 0, 0x76, 0, 139, 0},
    { 0, 0x76, 0, 139, 0},
    { 0, 0x65, 1712, 140, 0},
    { 0, 0x25, 0, 140, 0},
    { 0, 0x25, 0, 140, 0},
    { 0, 0x25, 0, 140, 0},
    { 0, 0x74, 666, 140, 0},
    { 0, 0x74, 0, 140, 0},
    { 0, 0x74, 0, 140, 0},
    { 0, 0x74, 28, 139, 0},
    { 0, 0x74, 0, 139, 0},
    { 0, 0x74, 0, 139, 0},
    { 0, 0x74, 0, 139, 0},
    { 0, 0x75, 1046, 139, 0},
    { 0, 0x3b, 0, 139, 0},
    // 475: Local time: 2016-05-16 05:12:00 AM
    { 0, 0x3b, 0, 139, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 139, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    // 490: Local time: 2016-05-16 05:27:00 AM
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x3b, 0, 140, 0},
    { 0, 0x38, 583, 140, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x55, 0, 141, 0},
    { 0, 0x27, 668, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    // 505: Local time: 2016-05-16 05:42:00 AM
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    // 520: Local time: 2016-05-16 05:57:00 AM
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    // 535: Local time: 2016-05-16 06:12:00 AM
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x2b, 0, 141, 0},
    { 0, 0x1b, 1007, 141, 0},
    { 0, 0x15, 0, 141, 0},
    { 0, 0x14, 0, 141, 0},
    { 0, 0x14, 165, 142, 0},
    { 0, 0x6e, 1677, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x5e, 0, 140, 0},
    // 550: Local time: 2016-05-16 06:27:00 AM
    { 0, 0x5e, 0, 141, 0},
    { 0, 0x6e, 1306, 141, 0},
    { 0, 0x7b, 0, 141, 0},
    { 0, 0x7b, 0, 141, 0},
    { 0, 0x7b, 0, 140, 0},
    { 0, 0x7b, 0, 140, 0},
    { 0, 0x7b, 25, 141, 0},
    { 0, 0x7b, 0, 140, 0},
    { 0, 0x74, 737, 140, 0},
    { 0, 0x44, 0, 140, 0},
    { 0, 0x44, 0, 140, 0},
    { 0, 0x54, 186, 140, 0},
    { 0, 0x64, 0, 140, 0},
    { 0, 0x64, 0, 140, 0},
    { 0, 0x64, 0, 140, 0},
    // 565: Local time: 2016-05-16 06:42:00 AM
    { 0, 0x64, 0, 140, 0},
    { 0, 0x64, 0, 140, 0},
    { 0, 0x63, 550, 140, 0},
    { 0, 0x70, 0, 140, 0},
    { 0, 0x4a, 1581, 140, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 140, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    // 580: Local time: 2016-05-16 06:57:00 AM
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 142, 0},
    { 0, 0x3a, 0, 142, 0},
    { 0, 0x3a, 0, 141, 0},
    { 0, 0x3a, 0, 142, 0},
    { 0, 0x49, 1402, 141, 0},
    { 0, 0x66, 0, 141, 0},
    { 0, 0x66, 0, 141, 0},
    { 0, 0x55, 3396, 141, 0},
    { 0, 0x35, 0, 140, 0},
    { 0, 0x35, 0, 140, 0},
    { 0, 0x35, 0, 140, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    // 595: Local time: 2016-05-16 07:12:00 AM
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 0, 141, 0},
    { 0, 0x35, 2161, 166, 0},
    { 0, 0x45, 6451, 198, 0},
    // 610: Local time: 2016-05-16 07:27:00 AM
    { 0, 0x54, 4403, 204, 0},
    { 0, 0x42, 2408, 200, 0},
    { 17, 0x25, 3428, 167, 0},
    { 0, 0x35, 762, 172, 0},
    { 51, 0x55, 4921, 176, 0},
    { 4, 0x55, 5359, 207, 0},
    { 0, 0x45, 3725, 175, 0},
    { 0, 0x34, 2479, 175, 0},
    { 0, 0x46, 3924, 181, 0},
    { 0, 0x48, 2413, 178, 0},
    { 12, 0x49, 778, 182, 0},
    { 0, 0x59, 402, 180, 0},
    { 0, 0x48, 127, 181, 0},
    { 0, 0x58, 375, 180, 0},
    { 0, 0x59, 373, 187, 0},
    // 625: Local time: 2016-05-16 07:42:00 AM
    { 0, 0x57, 267, 135, 0},
    { 0, 0x67, 1319, 191, 0},
    { 0, 0x54, 4667, 188, 0},
    { 0, 0x53, 7067, 224, 0},
    { 0, 0x43, 3228, 189, 0},
    { 0, 0x44, 3201, 186, 0},
    { 0, 0x34, 3088, 187, 0},
    { 0, 0x54, 5503, 208, 0},
    { 0, 0x54, 4925, 234, 0},
    { 13, 0x34, 3571, 229, 0},
    { 0, 0x55, 5403, 136, 0},
    { 13, 0x63, 7435, 218, 0},
    { 0, 0x69, 1853, 192, 0},
    { 0, 0x58, 0, 192, 0},
    { 0, 0x58, 0, 192, 0},
    // 640: Local time: 2016-05-16 07:57:00 AM
    { 0, 0x58, 0, 190, 0},
    { 0, 0x58, 0, 194, 0},
    { 0, 0x58, 0, 192, 0},
    { 0, 0x58, 0, 193, 0},
    { 0, 0x58, 0, 191, 0},
    { 0, 0x58, 0, 189, 0},
    { 0, 0x54, 8849, 217, 0},
    { 13, 0x42, 9963, 165, 0},
    { 17, 0x45, 9061, 162, 0},
    { 22, 0x63, 5904, 156, 0},
    { 16, 0x7b, 6141, 182, 0},
    { 16, 0x55, 9724, 140, 0},
    { 0, 0x55, 10583, 128, 0},
    { 0, 0x67, 4966, 163, 0},
    { 0, 0x57, 2831, 168, 0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}


